---
updatedAt: 2025-12-04T16:42:58.000Z
agentTools:
  projectIndex: https://developer.doit.com/llms.txt
---

# Manage AWS Assets

Customers with active Amazon Web Services contracts can provision additional AWS accounts for their organizations with an easy-to-use RESTful API.

> 📘 Required Permissions
>
> Billing Profile Admin permissions (part of `Admin` built-in role)

This API has the following methods:

## assets.create

The [Create an asset](https://developer.doit.com/reference/createasset)  method provides a list of all the assets managed by DoiT International.

You can filter the list by using one or more of the following parameters:

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>
        Parameter
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        `type`
      </td>

      <td>
        `string`  
        Please use "amazon-web-services" to create new AWS assets.
      </td>
    </tr>

    <tr>
      <td>
        `mode`
      </td>

      <td>
        `string`  
        Use `NEW` to create new AWS accounts and `INVITE` to add existing AWS accounts.
      </td>
    </tr>

    <tr>
      <td>
        `accountName`
      </td>

      <td>
        `string`  
        Friendly AWS account name.
      </td>
    </tr>

    <tr>
      <td>
        `rootEmail`
      </td>

      <td>
        `string`  
        Root email for your AWS account. Please note, root emails should be unique for each AWS account.
      </td>
    </tr>
  </tbody>
</Table>

Sample **assets.create** request to create a new AWS account

```shell assets.create sample request
curl --location --request POST 'https://api.doit.com/billing/v1/createAsset' \
--header 'Authorization: Bearer {YOUR_API_KEY}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "type": "amazon-web-services",
    "mode": "NEW", 
    "accountName": "dev-sandbox",
    "rootEmail": "dev+sandbox@doit.com"
}'
```

> 📘 YOUR\_API\_KEY
>
> Replace "YOUR\_API\_KEY" with your actual API key as explained at [Get Started](https://developer.doit.com/docs/getting-started)

<br />

Sample **assets.create** Response:

```json assets.list response
{
    "accountID": "267440184142"
}
```